%bcond_without tests

Name:		pytz
Version:	2024.1
Release:	1
Summary:	World Timezone Definitions for Python
License:	MIT
URL:		https://github.com/stub42/pytz
Source0:	%{url}/releases/download/release_%{version}/%{name}-%{version}.tar.gz

Patch0:         backport-pytz-zoneinfo.patch
Patch1:         backport-remove_tzinfo_test.patch
Patch2:         0001-modify-timezone-from-Macau-to-Macao.patch

BuildArch:  	noarch

%description
pytz brings the Olson tz database into Python. This library allows 
accurate and cross platform timezone calculations using Python 2.4 
or higher. It also solves the issue of ambiguous times at the end 
of daylight saving time, which you can read more about in the 
Python Library Reference (datetime.tzinfo).

%package -n     python3-pytz
Summary:        python3 for pytz
BuildRequires:  python3-devel tzdata 
%if %{with tests}
BuildRequires:  python3-pytest
%endif
Requires:       tzdata
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-pytz 
python3 for pytz

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo
pathfix.py -pn -i %{__python3} %{buildroot}%{python3_sitelib}
sed -i '/pytz\/zoneinfo\/Asia\/Macau/d' %{buildroot}%{python3_sitelib}/*.egg-info/SOURCES.txt

%check
%if %{with tests}
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest -v
%endif

%files -n       python3-pytz
%defattr(-,root,root)
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/*

%changelog
* Tue Apr 02 2024 liweigang <liweiganga@uiniontech.com> - 2024.1-1
- Type: requirement
- ID: NA
- SUG: NA
- DESC: update pytz to 2024.1

* Tue Aug 01 2023 zhouyihang <zhouyihang3@h-partners.com> - 2023.3-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update pytz to 2023.3

* Thu Mar 09 2023 zhouyihang <zhouyihang3@h-partners.com> - 2022.7.1-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update pytz to 2022.7.1

* Mon Nov 14 2022 zhouyihang <zhouyihang3@h-partners.com> - 2022.6-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update pytz to 2022.6

* Thu Jun 30 2022 gaihuiying <eaglegai@163.com> - 2021.3-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:enable tests

* Tue Jun 21 2022 yanglu <yanglu72@h-partners.com> - 2021.3-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:remove useless patch

* Tue Mar 22 2022 xihaochen <xihaochen@h-partners.com> - 2021.3-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update version to 2021.3

* Mon Dec 06 2021 gaihuiying <gaihuiying1@huawei.com> - 2021.1-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add macros to disable tests temporary

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 2021.1-1
- Update version to 2021.1

* Fri Jan 29 2021 xihaochen <xihaochen@huawei.com> - 2020.5-1
- Type:requirements                                                                                                                                  
- Id:NA
- SUG:NA
- DESC:update pytz to 2020.5 

* Thu Oct 29 2020 gaihuiying <gaihuiying1@huawei.com> - 2020.1-2
- Type:requirement
- ID:NA
- SUG:NA
- DESC:remove python2

* Mon Jul 27 2020 lunankun <lunankun@huawei.com> - 2020.1-1
- Type:update
- ID:NA
- SUG:reboot
- DESC:update to pytz-2020.1

* Tue Jan 21 2020 openEuler Buildteam <buildteam@openeuler.org> - 2019.2-2
- Type:bugfix
- ID:NA
- SUG:reboot
- DESC:modify timezone from Macau to Macao

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 2019.2-1
- Package init
